# Package com.destroystokyo.paper.exception

package com.destroystokyo.paper.exception

Related Packages
Package
Description
com.destroystokyo.paper
Exceptions
Class
Description
ServerCommandException
Thrown when a command throws an exception
ServerEventException
Exception thrown when a server event listener throws an exception
ServerException
Wrapper exception for all exceptions that are thrown by the server.
ServerInternalException
Thrown when the internal server throws a recoverable exception.
ServerPluginEnableDisableException
Thrown whenever there is an exception with any enabling or disabling of plugins.
ServerPluginException
Wrapper exception for all cases to which a plugin can be immediately blamed for
ServerPluginMessageException
Thrown when an incoming plugin message channel throws an exception
ServerSchedulerException
Thrown when a plugin's scheduler fails with an exception
ServerTabCompleteException
Called when a tab-complete request throws an exception